Subject: Re: bug#27357: 26.0.50; Emacs starts fullscreen in Ubuntu 17.04

From: martin rudalics <[email-masked]>
Date: Thu, 15 Jun 2017 12:11:17 +0200

> If I say "xterm -geometry 800x700" (which is larger than the screen),
 > Unity will open the screen in "maximized" mode.  Perhaps this means that
 > Emacs is just miscomputing the size of the frame leading to a
 > way-too-big window, and then the window manager is snapping it back to
 > maximized?

Precisely what I expected and why I asked you to conduct this
experiment.  Some window managers do that when mapping a window.

To continue the experiment: I suppose that once your frame has become
visible, you can make it 800x700 characters large.  What happens when
you iconify that frame and make it visible again?

 > So where's the frame size computed, anyway?  :-)

Who knows?  Uusually, I say here that one of Emacs' original sins is to
request a frame size based on that frame's default character size.

martin